from cookie_util import COOKIE_GET, COOKIE_DELETE

def index():
    return dict()

def content():
    player_record, room_record = COOKIE_GET()

    if not player_record or not room_record:
        #No cookie set - Show login form
        response.view = "default/login.html"
        return dict()

    if room_record.closed:
        #The room has been closed in the meantime
        COOKIE_DELETE()
        response.view = "default/login.html"
        return dict(info=T("The room has been closed"))

    #Change this line to enable a different renderer
    response.view = "game/debug/renderer_bootstrap.html"

    return dict(player_record=player_record, room_record=room_record)
